Cap. 2. Fire up the GIMP
| Parte I. Getting Started |

## Cap. 2. Fire up the GIMP

## 1. Rularea GIMP

Cel mai adesea, porniți GIMP fie apăsând clic pe o pictogramă (în cazul în care sistemul este configurat pentru a vă oferi una), sau tastând gimp într-o linie de comandă. Dacă aveți mai multe versiuni de GIMP instalate, poate fi necesar să tastați gimp-2.10 pentru a obține cea mai recentă versiune. Puteți, dacă doriți, da o listă de fișiere imagine din linia de comandă după numele programului, și vor fi deschise automat de GIMP la pornire. De asemenea, este posibil, totuși, să deschideți fișiere din cadrul GIMP o dată ce este în execuție.

Majoritatea sistemelor de operare acceptă asocieri de fișiere, care asociază o clasă de fișiere (determinate de extensia numelui lor de fișier, cum ar fi .jpg) cu o aplicație corespunzătoare (cum ar fi GIMP). Când fișierele imagine sunt în mod corespunzător „asociate” cu GIMP, puteți apăsa dublu clic pe o imagine pentru a o deschide în GIMP.

### 1.1. Platforme cunoscute

GIMP este cea mai răspândită aplicație de manipulare imagini disponibilă astăzi. Platformele pe care GIMP se cunoaște că lucrează includ:

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™, și BeOS™.

GIMP este ușor portat către alte sisteme de operare, din cauza disponibilității codului sursă. Pentru mai multe informații vizitați pagina dezvoltatorilor GIMP. [GIMP-DEV].

### 1.2. Limba

GIMP detectează automat și utilizează limba sistemului. În cazul puțin probabil în care detectarea limbii nu reușește, sau dacă doriți doar să utilizați o altă limbă, începând cu GIMP-2,8, puteți face acest lucru prin: Editare → Preferințe → Interfață.

De asemenea, puteți utiliza:

Sub Linux

  În Linux: în modul de consolă, tastați `LANGUAGE=en gimp` ori `LANG=en gimp` cu înlocuirea en prin ro, fr, de,... în funcție de limba pe care doriți. Informație utilă: utilizarea `LANGUAGE=en` stabilește o variabilă de mediu pentru programul executat `gimp`.

Sub Windows XP

  Panou de control → Sistem → Avansate → Mediu butonul din „Variabile de sistem” zona: Adaugă buton: Introduceți LANG pentru Nume și ro, fr sau de... pentru valoare. Aveți grijă! Trebuie să apăsați clic succesiv pe trei OK pentru a valida alegerea dumneavoastră.

  Dacă modificați deseori limbile, aveți posibilitatea să creați un fișier batch pentru a modifica limba. Deschideți Notepad. Tastați următoarele comenzi (pentru franceză, de exemplu):

  `set lang=fr
  start gimp-2.10.exe`

  Salvați acest fișier ca `GIMP-FR. BAT` (sau un alt nume, dar întotdeauna cu extensia `.BAT`). Creați o scurtătură și plasați-o pe desktop.

  O altă posibilitate: Start → Programe → GTK Runtime Environment Apoi Selectează limba și selectați limba dorită din lista derulantă.

Sub Apple Mac OS X

  Din Preferințe sistem, apăsați clic pe pictograma internațională. În tabul Limbă, limba dorită ar trebui să fie prima din listă.

O altă instanță GIMP

  Utilizați `-n` pentru a rula mai multe instanțe de GIMP. De exemplu, utilizați `gimp-2.10` pentru a porni GIMP în limba implicită de sistem, și `LANGUAGE=en gimp-2.10 -n` pentru a începe o altă instanță a GIMP în limba engleză; Acest lucru este foarte util pentru traducători.

### 1.3. Argumente pentru linia de comandă

Although arguments are not required when starting GIMP, the most common arguments are shown below. On a Unix system, you can use `man gimp` for a complete list.

Argumentele pentru linia de comandă trebuie să fie în linia de comandă pe care o utilizați pentru a porni GIMP ca gimp-2.10 [OPȚIUNE...] [FIȘIER|URI...].

-?, --help

  Afișează o listă cu toate opțiunile pentru linia de comandă.

--help-all

  Afișează toate opțiunile de ajutor.

--help-gtk

  Afișează opțiunile GTK +.

-v, --version

  Tipărește versiunea GIMP și iese.

--license

  Afișează informațiile de licență și iese.

--verbose

  Afișează mesaje de pornire detaliate.

-n, --new-instance

  Începe o nouă instanță GIMP.

-a, --as-new

  Deschide imagini ca noi.

-i, --no-interface

  Rulează fără o interfață pentru utilizator.

-d, --no-data

  Nu încărcă tipare, degradeuri, palete sau perii. Deseori utilă în situații non-interactive în care timpul de pornire se dorește a fi minimizat.

-f, --no-fonts

  Nu încărcă fonturi. Acest lucru este util pentru a încărca GIMP mai repede pentru scripturi care nu utilizează fonturi, sau pentru a găsi probleme legate de fonturi incorect care îngreunează rularea GIMP.

-s, --no-splash

  Nu afișează ecranul de pornire în timpul pornirii.

--no-shm

  Nu folosește memorie partajată între GIMP și modulele sale.

--no-cpu-accel

  Nu utilizează funcțiile speciale de accelerare CPU. Utile pentru găsirea sau dezactivarea funcțiilor de accelerare hardware cu probleme.

--session=`nume`

  Folosește un `sessionrc` diferit pentru această sesiune GIMP. Numele de sesiune dat este anexat la numele implicit al fișierului `sessionrc`.

--gimprc=`nume fișier`

  Utilizează o alternativă `gimprc` în locul celei implicite. Fișierul `gimprc` conține o înregistrare a preferințelor dvs. Util în cazurile în care căile modulelor sau specificațiile mașinii pot fi diferite.

--system-gimprc=`nume fișier`

  Utilizează un fișier de sistem gimprc alternativ.

-b, --batch=`comenzi`

  Execută setul de comenzi non-interactiv. Setul de comenzi este de obicei sub forma unui script ce poate fi executat de către una dintre extensiile de scripting GIMP. Când comanda este `-`, comenzile sunt citite din intrare standard.

--batch-interpreter=`proc`

  Specifică procedura de utilizat pentru procesarea comenzilor batch. Procedura implicită este script-fu.

--console-messages

  Nu se deschid casetele de dialog la erori sau avertismente. În schimb se imprimă mesajele în consolă.

--pdb-compat-mode=`mod`

  Mod de compatibilitate PPB (off|on|warn).

--stack-trace-mode=`mod`

  Depanare în caz de terminare prematură a programului (never|query|always).

--debug-handlers

  Activează rutinele de depanare a semnalelor non-letale. Util pentru depanarea lui GIMP.

--g-fatal-warnings

  Face toate avertismentele letale. Util pentru depanare.

--dump-gimprc

  Produce un fișier gimprc cu configurările implicite. Util dacă ați deteriorat fișierul gimprc.

--display=`afișaj`

  Utilizați afișajul desemnat de X (nu se aplică tuturor platformelor).

2.17. Roadmap and what's next |  | 2. Pornirea lui GIMP pentru prima dată

Report an error in the bug tracker